Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class MultiIterator

    java.lang.Object
      com.hp.hpl.jena.util.iterator.NiceIterator
          org.mindswap.pellet.jena.MultiIterator

All Implemented Interfaces:
  com.hp.hpl.jena.util.iterator.ClosableIterator, com.hp.hpl.jena.util.iterator.ExtendedIterator, java.util.Iterator

    public class MultiIterator

extends com.hp.hpl.jena.util.iterator.NiceIterator

Constructor Summary
`MultiIterator(java.util.Iterator first)`
`MultiIterator(java.util.Iterator first, java.util.Iterator second)`

Method Summary
`com.hp.hpl.jena.util.iterator.ExtendedIterator` | `andThen(com.hp.hpl.jena.util.iterator.ClosableIterator other)`
`void` | `close()`
`static MultiIterator` | `create(java.util.Iterator it)`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`

Methods inherited from class com.hp.hpl.jena.util.iterator.NiceIterator
`andThen, asList, asSet, close, emptyIterator, filterDrop, filterKeep, mapWith, remove, removeNext, toList, toSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiIterator

    public MultiIterator(java.util.Iterator first)

### MultiIterator

    public MultiIterator(java.util.Iterator first,
                         java.util.Iterator second)

Method Detail

### create

    public static MultiIterator create(java.util.Iterator it)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Overrides:
    `hasNext` in class `com.hp.hpl.jena.util.iterator.NiceIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `com.hp.hpl.jena.util.iterator.NiceIterator`

### close

    public void close()

  Specified by:
    `close` in interface `com.hp.hpl.jena.util.iterator.ClosableIterator`
  Overrides:
    `close` in class `com.hp.hpl.jena.util.iterator.NiceIterator`

### andThen

    public com.hp.hpl.jena.util.iterator.ExtendedIterator andThen(com.hp.hpl.jena.util.iterator.ClosableIterator other)

  Specified by:
    `andThen` in interface `com.hp.hpl.jena.util.iterator.ExtendedIterator`
  Overrides:
    `andThen` in class `com.hp.hpl.jena.util.iterator.NiceIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.